Bug 869824 - Kernel 3.6 upgrade breaks dual-head support with Intel Graphics
Kernel 3.6 upgrade breaks dual-head support with Intel Graphics
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 17:39 EDT by Joshua Pettett
Modified: 2013-07-31 13:57 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:57:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Smolt profile (2.75 KB, application/octet-stream)
2012-10-24 17:39 EDT, Joshua Pettett
no flags Details
dmesg and Xorg logs for both working and broken kernel versions (42.52 KB, application/x-gzip)
2012-10-24 17:58 EDT, Joshua Pettett
no flags Details

  None (edit)
Description Joshua Pettett 2012-10-24 17:39:34 EDT
Created attachment 633051 [details]
Smolt profile

Description of problem:
I have two monitors attached to my single graphics card, one via VGA and one via DVI.  This setup works fine with kernel 3.5 (3.5.6-1.fc17.x86_64), but after upgrading to 3.6.x, the DVI-attached screen goes blank as soon as the kernel loads (i.e. GRUB shows on it, but not the bootsplash or X).  Booting to 3.5 continues to work as expected.  Card is an integrated Intel 4 Series.  It has an HDMI port, but not in use and I haven't tested it.

Version-Release number of selected component (if applicable):
3.6.x (3.6.1-1.fc17.x86_64 and 3.6.1-1.fc17.x86_64)

How reproducible:
Every boot

Steps to Reproduce:
1. Upgrade to 3.6.x kernel
2. Boot
  
Actual results:
Monitor attached to DVI port is blank

Expected results:
Both monitors displaying correct images

Additional info:
Will attach logs
Comment 1 Joshua Pettett 2012-10-24 17:58:54 EDT
Created attachment 633054 [details]
dmesg and Xorg logs for both working and broken kernel versions

I just realized that the Xorg logs say that the second monitor is connected to to HDMI1, even though it's actually connected to the DVI port.  And both monitors are connected exactly the same way when using 3.6, even though it says only one is connected.
Comment 2 Joshua Pettett 2012-10-30 12:23:18 EDT
Same symptoms in kernel 3.6.3-1.fc17.x86_64.
Comment 3 Josh Boyer 2013-03-12 15:08:31 EDT
Are you still seeing this with 3.7.9 or 3.8.2 in updates-testing?
Comment 4 iwiznia 2013-03-16 20:08:01 EDT
Same issue here, I'm in:
Linux localhost.localdomain 3.8.2-206.fc18.x86_64 #1 SMP Fri Mar 8 15:03:34 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 5 Fedora End Of Life 2013-07-03 15:28:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 13:57:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.